Subject: bug#57494: `package-install' no longer byte-compiles files of installed packages

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 31 Aug 2022 12:15:13 +0200

Paul Pogonyshev <[email-masked]> writes:

> If the file is byte-compiled, the last line should read as "t". With all
> images I have tested, this is the case. But Emacs 29 (i.e. that `:master'
> image), it reads "nil" instead.

I tried the recipe (on the current Ubuntu), but the output ended with:

Checking /tmp/emacs-packagesrDHlWK/dash-2.19.1/doc...
Done (Total of 2 files compiled, 2 skipped)
Package ‘dash’ installed.
t

So I'm not able to reproduce it.

You didn't include the output from M-x report-emacs-bug, so I can't say
where you tried this.